/***************************************************************************
                          plugin.h
    Plugin export tools
                             -------------------
    begin                : Wed Jul 17 2002
    copyright            : (C) 2002 by Gav Wood
    email                : gav@indigoarchive.net
 ***************************************************************************/

#ifndef __PLUGIN_H
#define __PLUGIN_H

using namespace std;

namespace sucs
{

#define EXPORT_PLUGIN(Plugin, Base, MajorVersion, MinorVersion, TinyVersion) \
	extern "C" \
	{ \
		Base *createInstance() { return new Plugin(); } \
		char *getID() { return #Plugin; } \
		int getVersion() { return (MajorVersion << 8 + MinorVersion) << 8 + TinyVersion; } \
	}

}

#endif
