/***************************************************************************
                          datatools.h  -  description
                             -------------------
    begin                : Thu Jan 13 2000
    copyright            : (C) 2000 by Gavin James Wood
    email                : gav@indigoarchive.net
 ***************************************************************************/

#ifndef _SUCS_DATATOOLS_H
#define _SUCS_DATATOOLS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iostream>
#include <string>
#include <sstream>
using namespace std;

namespace sucs
{

template<typename T> const T fromString(const string &s)
{
	T ret;
	istringstream in(s);
	in >> ret;
	return ret;
}

template<typename T> const string toString(const T &i)
{
	ostringstream out;
	out << i << flush;
	return out.str();
}

};

#endif