# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# $Header: /cvsroot/sucs/sucs/sucs-0.7.0.ebuild,v 1.1.1.1 2003/01/17 23:24:25 emmcee Exp $

S=${WORKDIR}/${P}
DESCRIPTION="The Simple Utility Classes are C++ libraries of common C-based algorithms and libraries."
SRC_URI="mirror://sourceforge/sucs/${P}.tar.bz2"
HOMEPAGE="http://sucs.sf.net/"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 sparc sparc64"

RDEPEND=">=dev-libs/libpcre-3.9
	>=dev-libs/expat-1.95.4"
	
DEPEND="${RDEPEND}"

src_unpack()
{
	unpack ${A}
	cd ${S}
}

src_compile()
{
	econf || die "./configure failed"
	emake || die
}

src_install()
{
	make DESTDIR=${D} install || die
	dodoc AUTHORS ChangeLog README TODO COPYING
}
